------------------------------------------------------------------------------------
--Name:  	baiqing1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-02-14
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(109, 101)
CppScriptMgr:SetViewScale(300)
local npc_0 = CppScriptMgr:AddSimplePlayer(1100176, 107, 103, "", 0, 0)
npc_0:SetDir(6)
npc_0:SetArmor(198855, 0, 1)
npc_0:SetHair(301, 1)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetPos(111, 102)
player_0:SetDir(2)
local npc_1 = CppScriptMgr:AddSimplePlayer(1100197, 107, 99, "", 0, 0)
npc_1:SetDir(7)
npc_1:SetArmor(198855, 0, 1)
npc_1:SetHair(301, 1)
CppScriptMgr:WaitMilSec(490)
npc_0:SetAction(101)
CppScriptMgr:NpcCallOut("Lately, I`ve received desperate pleas for help from three other castles.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_2025qqbsqrjsyz", 150, 430, "Anthony", 250, 655, false)
CppScriptMgr:WaitMilSec(2500)
npc_0:SetAction(101)
CppScriptMgr:NpcCallOut("The letters are filled with despair and helplessness. The kingdoms where those castles stand are now mired in endless suffering.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_2025qqbsqrjsyz", 150, 430, "Anthony", 250, 655, false)
CppScriptMgr:WaitMilSec(2000)
player_0:Say("We can`t just stand by and do nothing!", 1500)
player_0:SetAction(101)
CppScriptMgr:WaitMilSec(1000)
npc_1:SetAction(101)
CppScriptMgr:WaitMilSec(990)
CppScriptMgr:NpcCallOut("We must unite and face these threats together!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_2025qqbsqrjnpz", 150, 430, "Jeanne", 250, 655, false)
CppScriptMgr:WaitMilSec(2100)
npc_0:SetAction(101)
CppScriptMgr:WaitMilSec(900)
CppScriptMgr:NpcCallOut("Only by standing together can we protect our homes and save those who suffer.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_2025qqbsqrjsyz", 150, 430, "Anthony", 250, 655, false)
CppScriptMgr:WaitMilSec(3000)
CppScriptMgr:NpcCallOut("Are you willing to join us on this righteous quest?", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_2025qqbsqrjsyz", 150, 430, "Anthony", 250, 655, false)
CppScriptMgr:WaitMilSec(2000)
player_0:Say("Without hesitation!", 1000)
player_0:SetAction(200)
CppScriptMgr:WaitMilSec(1000)